%define anolis_release 8
%undefine __cmake_in_source_build

Name:           woff2
Version:        1.0.2
Release:        %{anolis_release}%{?dist}
Summary:        Web Open Font Format 2.0 library
License:        MIT
URL:            https://github.com/google/%{name}
Source0:        https://github.com/google/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

Patch0:         Check-for-overflow-when-decoding-glyf.patch
# https://github.com/google/woff2/pull/121
Patch1:         covscan.patch

BuildRequires:  cmake gcc-c++ brotli-devel >= 1.0

%description
Web Open Font Format (WOFF) 2.0 is an update to the existing WOFF 1.0
with improved compression that is achieved by using the Brotli algorithm.
The primary purpose of the WOFF2 format is to efficiently package fonts
linked to Web documents by means of CSS @font-face rules.

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
Development files and utils for %{name}

%package tools
Summary:        Web Open Font Format 2.0 tools
Requires:       %{name} = %{version}-%{release}

%description tools
Tools for compressing TTF files to WOFF2 format, decompressing WOFF2
files back to TTF files and dumping WOFF2 file information.

%package doc
Summary:        Documents for %{name}
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description doc
Doc pages for %{name}

%prep
%autosetup -n %{name}-%{version} -p1

%build
%cmake \
    -DCMAKE_INSTALL_PREFIX="%{_prefix}" \
    -DCMAKE_INSTALL_LIBDIR="%{_libdir}" \
    -DCMAKE_SKIP_RPATH=TRUE
%cmake_build

%install
%cmake_install
mkdir -p %{buildroot}%{_bindir}/

cd %{_vpath_builddir}
install -m 755 %{name}_decompress %{buildroot}%{_bindir}/
install -m 755 %{name}_compress %{buildroot}%{_bindir}/
install -m 755 %{name}_info %{buildroot}%{_bindir}/
cd -

%generate_compatibility_deps

%files
%license LICENSE
%dir %{abidir}
%{abidir}/lib%{name}common.dump
%{abidir}/lib%{name}dec.dump
%{abidir}/lib%{name}enc.dump
%{_libdir}/lib%{name}common.so.*
%{_libdir}/lib%{name}dec.so.*
%{_libdir}/lib%{name}enc.so.*

%files tools
%attr(755, root, root) %{_bindir}/%{name}_compress
%attr(755, root, root) %{_bindir}/%{name}_decompress
%attr(755, root, root) %{_bindir}/%{name}_info

%files devel
%{_includedir}/%{name}
%{_libdir}/lib%{name}common.so
%{_libdir}/lib%{name}dec.so
%{_libdir}/lib%{name}enc.so
%{_libdir}/pkgconfig/lib%{name}common.pc
%{_libdir}/pkgconfig/lib%{name}dec.pc
%{_libdir}/pkgconfig/lib%{name}enc.pc

%files doc
%doc README.md CONTRIBUTING.md

%changelog
* Thu Apr 13 2023 Jing Zhang <renyu.zj@linux.alibaba.com> - 1.0.2-8
- Refact spec

* Tue Mar 14 2023 Ziyang Zhang <ZiyangZhang@linux.alibaba.com>> - 1.0.2-7
- Add doc subpackage
- Add a newest patch

* Thu Dec 22 2022 Funda Wang <fundawang@yeah.net> - 1.0.2-6
- Bump release for upgrading from anolis 8

* Fri Oct 14 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.0.2-3
- optimise spec file

* Wed Oct 12 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.0.2-2
- add abi

* Fri Apr 15 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.0.2-1
- init from upstream
